ICC-4c C# SDK

Public Member Functions | List of all members
ICC4cPwmSdk.Device.IMiscFeatures Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IMiscFeatures:

## Public Member Functions
void | ResetFirmware ()
| Resets Firmware More...
bool | GetFrontEndPowerState ()
| Returns FrontEnd power supply state More...
void | SetFontEndPowerState (bool state)
| Sets FrontEnd power supply state More...
float | GetFrontEndVoltage ()
| Returns FrontEnd supply voltage [V] More...
void | SetFrontEndVoltage (float frontEndVoltage)
| Sets FrontEnd supply voltage [V] More...
EPwmFrequency | GetOutputStagePwmFrequency ()
| Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz] More...
void | SetOutputStagePwmFrequency (EPwmFrequency frequency)
| Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz] More...
bool | GetOutputStageEnabled (EChannel channel)
| Returns output stage state on specified channel More...
void | SetOutputStageEnabled (EChannel channel, bool enabled)
| Sets output stage state on specified channel More...
float | GetAdcI (EChannel channel)
| Returns current on specified channel More...
float | GetAdcV (EChannel channel)
| Returns voltage on specified channel More...
int | GetDevPower (EChannel channel)
| Returns 3v3 for device on specified channel More...
void | SetDevPower (EChannel channel, int power)
| Sets 3v3 for device on specified channel More...
List< EConnectedDeviceType > | GetDeviceType (EChannel channel)
| Returns device type on specified channel More...
float | GetUin ()
| Returns UIN More...
float | GetIin ()
| Returns IIN More...
float | GetUfe ()
| Returns UFE More...
float | GetAnalogIn (EChannel channel)
| Returns analog input on specified channel More...
float | GetResistance (EChannel channel)
| Returns Resistance on specified channel More...
EAutoConfig | GetAutoConfig ()
| Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType) More...
void | SetAutoConfig (EAutoConfig eAutoConfig)
| Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType) More...
List< byte > | GetI2CList (EChannel channel)
| Returns list of I2C addresses on specified channel More...
void | SetGpioState (int value)
| Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5 More...
int | GetGPIOState ()
| Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5 More...

## Member Function Documentation

## ◆ GetAdcI()

float ICC4cPwmSdk.Device.IMiscFeatures.GetAdcI | ( | EChannel | channel | ) |

Returns current on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetAdcV()

float ICC4cPwmSdk.Device.IMiscFeatures.GetAdcV | ( | EChannel | channel | ) |

Returns voltage on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetAnalogIn()

float ICC4cPwmSdk.Device.IMiscFeatures.GetAnalogIn | ( | EChannel | channel | ) |

Returns analog input on specified channel

Parameters

  channel |

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetAutoConfig()

EAutoConfig ICC4cPwmSdk.Device.IMiscFeatures.GetAutoConfig | ( |  | ) |

Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetDeviceType()

List<EConnectedDeviceType> ICC4cPwmSdk.Device.IMiscFeatures.GetDeviceType | ( | EChannel | channel | ) |

Returns device type on specified channel

Parameters

  channel |

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetDevPower()

int ICC4cPwmSdk.Device.IMiscFeatures.GetDevPower | ( | EChannel | channel | ) |

Returns 3v3 for device on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetFrontEndPowerState()

bool ICC4cPwmSdk.Device.IMiscFeatures.GetFrontEndPowerState | ( |  | ) |

Returns FrontEnd power supply state

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetFrontEndVoltage()

float ICC4cPwmSdk.Device.IMiscFeatures.GetFrontEndVoltage | ( |  | ) |

Returns FrontEnd supply voltage [V]

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetGPIOState()

int ICC4cPwmSdk.Device.IMiscFeatures.GetGPIOState | ( |  | ) |

Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetI2CList()

List<byte> ICC4cPwmSdk.Device.IMiscFeatures.GetI2CList | ( | EChannel | channel | ) |

Returns list of I2C addresses on specified channel

Parameters

  channel |

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetIin()

float ICC4cPwmSdk.Device.IMiscFeatures.GetIin | ( |  | ) |

Returns IIN

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetOutputStageEnabled()

bool ICC4cPwmSdk.Device.IMiscFeatures.GetOutputStageEnabled | ( | EChannel | channel | ) |

Returns output stage state on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetOutputStagePwmFrequency()

EPwmFrequency ICC4cPwmSdk.Device.IMiscFeatures.GetOutputStagePwmFrequency | ( |  | ) |

Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz]

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetResistance()

float ICC4cPwmSdk.Device.IMiscFeatures.GetResistance | ( | EChannel | channel | ) |

Returns Resistance on specified channel

Parameters

  channel |

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetUfe()

float ICC4cPwmSdk.Device.IMiscFeatures.GetUfe | ( |  | ) |

Returns UFE

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetUin()

float ICC4cPwmSdk.Device.IMiscFeatures.GetUin | ( |  | ) |

Returns UIN

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ ResetFirmware()

void ICC4cPwmSdk.Device.IMiscFeatures.ResetFirmware | ( |  | ) |

Resets Firmware

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetAutoConfig()

void ICC4cPwmSdk.Device.IMiscFeatures.SetAutoConfig | ( | EAutoConfig | eAutoConfig | ) |

Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetDevPower()

void ICC4cPwmSdk.Device.IMiscFeatures.SetDevPower | ( | EChannel | channel,
|  | int | power
| ) |  |

Sets 3v3 for device on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetFontEndPowerState()

void ICC4cPwmSdk.Device.IMiscFeatures.SetFontEndPowerState | ( | bool | state | ) |

Sets FrontEnd power supply state

Parameters

  state |

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetFrontEndVoltage()

void ICC4cPwmSdk.Device.IMiscFeatures.SetFrontEndVoltage | ( | float | frontEndVoltage | ) |

Sets FrontEnd supply voltage [V]

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetGpioState()

void ICC4cPwmSdk.Device.IMiscFeatures.SetGpioState | ( | int | value | ) |

Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetOutputStageEnabled()

void ICC4cPwmSdk.Device.IMiscFeatures.SetOutputStageEnabled | ( | EChannel | channel,
|  | bool | enabled
| ) |  |

Sets output stage state on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetOutputStagePwmFrequency()

void ICC4cPwmSdk.Device.IMiscFeatures.SetOutputStagePwmFrequency | ( | EPwmFrequency | frequency | ) |

Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz]

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- Device/ICC4cPwmSdkDeviceController.cs